Auto Multiple Choice - Bug # 294: Tooltip of 'associated' checkbox in Manual association window is
misleading

Status: Closed Priority: Normal

Author: Anirvan Sarkar Category: Graphical Interface

Created: 08/02/2014 Assignee: Anirvan Sarkar

Updated: 08/19/2014 Due date:

Description: Unlike what is mentioned in its tooltip, ticking and unticking the 'associated' checkbox in the Manual

association window does not change the list of associated and non-associated papers in the GtkTreeView
below it.

History

08/18/2014 12:36 pm - Alexis Bienveniie

The purpose of this box is the following: when clicking on a name to associate a copy to a student, the GUI goes to the next copy. Here, when the
_associated_ checkbox is not ticked, the next copy is taken from the copies which are not yet associated (already associated copies are skipped), and
when it is checked, the next copy is taken from all the copies (you pass all associated and non-associated copies in turn).

| tried this feature and it seams to work. Maybe the tooltip text is not clear enough? If this is the case, can you propose another wording?

08/18/2014 04:17 pm - Anirvan Sarkar
- Target version set to 1.3.0

- Subject changed from 'associated' checkbox in Manual association window does not work to Tooltip of ‘associated' checkbox in Manual association

window is misleading

- Assignee set to Anirvan Sarkar

Alexis Bienvenlie wrote:

> Here, when the _associated_ checkbox is not ticked, the next copy is taken from the copies which are not yet associated (already associated copies

are skipped), and when it is checked, the next copy is taken from all the copies (you pass all associated and non-associated copies in turn).

The previous tooltip was a little misleading. This seems suitable as a tooltip message. | will update the repo to use this. As for as its functionality it is
working as intended.

08/18/2014 04:58 pm - Anirvan Sarkar
- % Done changed from 0 to 100

- Status changed from New to Resolved

Applied in changeset commit:e0ee081¢c9795.

08/19/2014 05:49 am - Anirvan Sarkar
- Status changed from Resolved to Closed
